### Function

# GObject CClosure marshal_VOID__BOXED

#### Declaration

    void
    g_cclosure_marshal_VOID__BOXED (
      GClosure* closure,
      GValue* return_value,
      guint n_param_values,
      const GValue* param_values,
      gpointer invocation_hint,
      gpointer marshal_data
    )

#### Description

A `GClosureMarshal` function for use with signals with a single argument which is any boxed pointer type.

#### Parameters

`closure`

  Type: `GClosure`

  A `GClosure`.

  The data is owned by the caller of the function.

`return_value`

  Type: `GValue`

  A `GValue` to store the return value. May be `NULL` if the callback of closure doesn’t return a value.

  The data is owned by the caller of the function.

`n_param_values`

  Type: `guint`

  The length of the `param_values` array.

`param_values`

  Type: `GValue`

  An array of `GValues` holding the arguments on which to invoke the callback of closure.

  The data is owned by the caller of the function.

`invocation_hint`

  Type: `gpointer`

  The invocation hint given as the last argument to g_closure_invoke().

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`marshal_data`

  Type: `gpointer`

  Additional data specified when registering the marshaller, see `g_closure_set_marshal()` and `g_closure_set_meta_marshal()`

  The argument can be `NULL`.
  The data is owned by the caller of the function.